﻿//-----------------------------------------------
//TUSB-S02INx用ドライバアクセス用API
//Visual C# 用モジュール
//
//2014_01_17　株式会社タートル工業
//Copyright (C) 2014 Turtle Industry Co.,Ltd.
//-----------------------------------------------

using System.Runtime.InteropServices;

class TUSBSIN
{
    [DllImport("TUSBSIN.DLL", CallingConvention = CallingConvention.Cdecl)]
    public static extern short Tusbs02in_Device_Open( short Id );
    [DllImport("TUSBSIN.DLL", CallingConvention = CallingConvention.Cdecl)]
    public static extern void Tusbs02in_Device_Close( short Id );
    [DllImport("TUSBSIN.DLL", CallingConvention = CallingConvention.Cdecl)]
    public static extern short Tusbs02in_Read( short Id, out byte in1, out byte in2 );
    public static string GetErrMessage(short retcode)
    {
        switch (retcode)
        {
            case 0:
                return "正常終了しました";
            case 1:
                return "ID番号が不正です";
            case 2:
                return "ドライバがインストールされていません";
            case 3:
                return "すでにデバイスはオープンされています";
            case 4:
                return "接続されている台数が多すぎます";
            case 5:
                return "オープンできませんでした";
            case 6:
                return "デバイスがみつかりません";
            case 7:
                return "オープンされていません";
            case 8:
                return "パラメータエラー";
            case 9:
                return "USB通信エラーです";
            default:
                return "不明なエラーです";
        }
    }
}

