﻿Public Class Form1
    Private DevId As Short

    'フォームロード(初期化)
    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        Dim id As Integer
        'IdNumコンボボックスにリストを作成
        For id = 0 To 15
            IdNum.Items.Add(id.ToString("X")) 'Hex(16進)で表現
        Next id
        IdNum.SelectedIndex = 0 'Idを0とする
        PictureBox1.Image = ImageList1.Images(0) ' 状態表示ランプは消灯表示
        PictureBox2.Image = ImageList1.Images(0)
    End Sub

    'デバイスのオープンクローズ
    Private Sub OpenCloseBtn_Click(sender As System.Object, e As System.EventArgs) Handles OpenCloseBtn.Click
        Dim retErr As Short
        If OpenCloseBtn.Text = "DeviceOpen" Then 'Openの場合
            DevId = CShort(IdNum.SelectedIndex)
            retErr = Tusbs02in_Device_Open(DevId) 'Open
            If retErr = 0 Then
                Timer1.Interval = 100 'タイマー100ミリ秒毎
                Timer1.Enabled = True 'タイマーイネーブル
                IdNum.Enabled = False 'コンボボックスを操作不可にする
                OpenCloseBtn.Text = "DeviceClose"
            Else
                Tusbs02in_ErrorDisp(retErr)
            End If
        Else 'Closeの場合
            Timer1.Enabled = False 'タイマー停止
            Tusbs02in_Device_Close(DevId) 'Closeする
            IdNum.Enabled = True 'コンボボックスを操作可にする
            OpenCloseBtn.Text = "DeviceOpen"
        End If
    End Sub

    Private Sub Timer1_Tick(sender As System.Object, e As System.EventArgs) Handles Timer1.Tick
        Dim in1 As Byte
        Dim in2 As Byte
        Dim retErr As Short

        retErr = Tusbs02in_Read(DevId, in1, in2) '入力状態の読み込み
        If retErr = 0 Then
            PictureBox1.Image = IIf(in1 = 0, ImageList1.Images(0), ImageList1.Images(1))
            PictureBox2.Image = IIf(in2 = 0, ImageList1.Images(0), ImageList1.Images(1))
        Else
            Timer1.Enabled = False '関数に失敗した場合はタイマー停止
            Tusbs02in_Device_Close(DevId) 'Closeする
            IdNum.Enabled = True 'コンボボックスを操作可にする
            OpenCloseBtn.Text = "DeviceOpen"
        End If
    End Sub

    'フォームクローズ時(終了)
    Private Sub Form1_FormClosed(sender As System.Object, e As System.Windows.Forms.FormClosedEventArgs) Handles MyBase.FormClosed
        If OpenCloseBtn.Text = "DeviceClose" Then '現在オープン中であれば
            Timer1.Enabled = False 'タイマー停止
            Tusbs02in_Device_Close(DevId) 'デバイスをClose
        End If
    End Sub
End Class
